viralquery
Api referencev1/fs/public-url

Get the public CDN url for a path

GET
/v1/fs/public-url

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Query Parameters

path*string

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v1/fs/public-url?path=string"
{
  "url": "string"
}
{
  "error": "unauthorized",
  "message": "string",
  "signupUrl": "string"
}
{
  "error": "forbidden",
  "message": "string",
  "requiredScope": "string",
  "grantedScopes": [
    "string"
  ]
}
{
  "error": "upstream_error",
  "message": "string",
  "retryable": true
}
{
  "error": "rate_limited",
  "message": "string",
  "retryAfter": 0
}
{
  "error": "upstream_error",
  "message": "string",
  "retryable": true
}
{
  "error": "upstream_error",
  "message": "string",
  "retryable": true
}